Bug 624491 - pulp-admin/pulp-client repo list displayes deleted repos
pulp-admin/pulp-client repo list displayes deleted repos
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: z_other (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Pradeep Kilambi
Preethi Thomas
: Triaged
Depends On:
Blocks: pulp-verified
  Show dependency treegraph
 
Reported: 2010-08-16 12:03 EDT by Preethi Thomas
Modified: 2011-08-16 10:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-16 10:03:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2010-08-16 12:03:39 EDT
Description of problem:

[root@preethi pulp]#  pulp-admin -u admin -p admin repo delete --id=rhel-x86_64-client-vt-5-2
 Successful deleted Repo [ rhel-x86_64-client-vt-5-2 ] 
[
[root@preethi pulp]#  pulp-admin -u admin -p admin repo delete --id=rhel-x86_64-client-vt-51
 Successful deleted Repo [ rhel-x86_64-client-vt-51 ] 
[root@preethi pulp]#  pulp-admin -u admin -p admin repo delete --id=rhel-x86_64-client-vt-5
 Successful deleted Repo [ rhel-x86_64-client-vt-5 ] 
[root@preethi pulp]# 
[root@preethi pulp]# 
[root@preethi pulp]# 
[root@preethi pulp]# pulp-admin -u admin -p admin repo list+-------------------------------------------+
    List of Available Repositories 
+-------------------------------------------+

Label                   rhel-x86_64-client-vt-5  
Name                    rhel-x86_64-client-vt-5  
Feed                    {u'url': u'satellite.rhn.redhat.com/rhel-x86_64-client-vt-5', u'type': u'rhn', u'supported_types': [u'yum', u'local', u'rhn']}
Arch                    x86_64                   
Sync Schedule           None                     
Packages                /repositories/rhel-x86_64-client-vt-5/packages/


Label                   f12                      
Name                    f12                      
Feed                    {u'url': u'http://download.devel.redhat.com/released/F-12/GOLD/Fedora/i386/os/', u'type': u'yum', u'supported_types': [u'yum', u'local', u'rhn']}
Arch                    i386                     
Sync Schedule           None                     
Packages                /repositories/f12/packages/


Label                   rhel-x86_64-client-vt-51 
Name                    rhel-x86_64-client-vt-51 
Feed                    {u'url': u'satellite.rhn.redhat.com/rhel-x86_64-client-vt-5', u'type': u'rhn', u'supported_types': [u'yum', u'local', u'rhn']}
Arch                    noarch                   
Sync Schedule           None                     
Packages                /repositories/rhel-x86_64-client-vt-51/packages/


Label                   rhel-x86_64-client-vt-5-2
Name                    rhel-x86_64-client-vt-5-2
Feed                    {u'url': u'satellite.rhn.redhat.com/rhel-x86_64-client-vt-5', u'type': u'rhn', u'supported_types': [u'yum', u'local', u'rhn']}
Arch                    x86_64                   
Sync Schedule           None                     
Packages                /repositories/rhel-x86_64-client-vt-5-2/packages/


Label                   f13-1                    
Name                    f13-1                    
Feed                    {u'url': u'http://download.devel.redhat.com/released/F-13/GOLD/Fedora/x86_64/os/', u'type': u'yum', u'supported_types': [u'yum', u'local', u'rhn']}
Arch                    x86_64                   
Sync Schedule           None                     
Packages                /repositories/f13-1/packages/


Label                   f13-2                    
Name                    f13-2                    
Feed                    {u'url': u'http://download.devel.redhat.com/released/F-13/GOLD/Fedora/x86_64/os/', u'type': u'yum', u'supported_types': [u'yum', u'local', u'rhn']}
Arch                    x86_64                   
Sync Schedule           None                     
Packages                /repositories/f13-2/packages/


Label                   rhel-i386-server-5       
Name                    rhel-i386-server-5       
Feed                    {u'url': u'satellite.rhn.redhat.com/rhel-i386-server-5', u'type': u'rhn', u'supported_types': [u'yum', u'local', u'rhn']}
Arch                    i386                     
Sync Schedule           None                     
Packages                /repositories/rhel-i386-server-5/packages/


Label                   f13                      
Name                    f13                      
Feed                    {u'url': u'http://download.devel.redhat.com/released/F-13/GOLD/Fedora/x86_64/os/', u'type': u'yum', u'supported_types': [u'yum', u'local', u'rhn']}
Arch                    x86_64                   
Sync Schedule           None                     
Packages                /repositories/f13/packages/

[root@preethi pulp]# 
[root@preethi pulp]# 
[root@preethi pulp]# 
                


[root@preethi pulp]# pulp-client -u admin -p admin repo list
+-------------------------------------------+
    List of Available Repositories 
+-------------------------------------------+

Label                   rhel-x86_64-client-vt-5  
Name                    rhel-x86_64-client-vt-5  
Feed                    {u'url': u'satellite.rhn.redhat.com/rhel-x86_64-client-vt-5', u'type': u'rhn', u'supported_types': [u'yum', u'local', u'rhn']}
Arch                    x86_64                   
Sync Schedule           None                     
Packages                /repositories/rhel-x86_64-client-vt-5/packages/


Label                   f12                      
Name                    f12                      
Feed                    {u'url': u'http://download.devel.redhat.com/released/F-12/GOLD/Fedora/i386/os/', u'type': u'yum', u'supported_types': [u'yum', u'local', u'rhn']}
Arch                    i386                     
Sync Schedule           None                     
Packages                /repositories/f12/packages/


Label                   rhel-x86_64-client-vt-51 
Name                    rhel-x86_64-client-vt-51 
Feed                    {u'url': u'satellite.rhn.redhat.com/rhel-x86_64-client-vt-5', u'type': u'rhn', u'supported_types': [u'yum', u'local', u'rhn']}
Arch                    noarch                   
Sync Schedule           None                     
Packages                /repositories/rhel-x86_64-client-vt-51/packages/


Label                   rhel-x86_64-client-vt-5-2
Name                    rhel-x86_64-client-vt-5-2
Feed                    {u'url': u'satellite.rhn.redhat.com/rhel-x86_64-client-vt-5', u'type': u'rhn', u'supported_types': [u'yum', u'local', u'rhn']}
Arch                    x86_64                   
Sync Schedule           None                     
Packages                /repositories/rhel-x86_64-client-vt-5-2/packages/


Label                   f13-1                    
Name                    f13-1                    
Feed                    {u'url': u'http://download.devel.redhat.com/released/F-13/GOLD/Fedora/x86_64/os/', u'type': u'yum', u'supported_types': [u'yum', u'local', u'rhn']}
Arch                    x86_64                   
Sync Schedule           None                     
Packages                /repositories/f13-1/packages/


Label                   f13-2                    
Name                    f13-2                    
Feed                    {u'url': u'http://download.devel.redhat.com/released/F-13/GOLD/Fedora/x86_64/os/', u'type': u'yum', u'supported_types': [u'yum', u'local', u'rhn']}
Arch                    x86_64                   
Sync Schedule           None                     
Packages                /repositories/f13-2/packages/


Label                   rhel-i386-server-5       
Name                    rhel-i386-server-5       
Feed                    {u'url': u'satellite.rhn.redhat.com/rhel-i386-server-5', u'type': u'rhn', u'supported_types': [u'yum', u'local', u'rhn']}
Arch                    i386                     
Sync Schedule           None                     
Packages                /repositories/rhel-i386-server-5/packages/


Label                   f13                      
Name                    f13                      
Feed                    {u'url': u'http://download.devel.redhat.com/released/F-13/GOLD/Fedora/x86_64/os/', u'type': u'yum', u'supported_types': [u'yum', u'local', u'rhn']}
Arch                    x86_64                   
Sync Schedule           None                     
Packages                /repositories/f13/packages/
Comment 2 Preethi Thomas 2010-09-28 12:31:01 EDT
verified
[root@preethi ~]# rpm -q pulp
pulp-0.0.68-1.fc13.noarch

[root@preethi ~]# sudo pulp-admin repo delete --id=rhel-i386-server-5
 Successful deleted Repo [ rhel-i386-server-5 ]
[root@preethi ~]# sudo pulp-admin repo list
+------------------------------------------+
       List of Available Repositories
+------------------------------------------+

Label                   f13                      
Name                    f13                      
Feed                    {u'url': u'http://download.devel.redhat.com/released/F-13/GOLD/Fedora/x86_64/os/', u'type': u'yum', u'supported_types': [u'yum', u'local', u'rhn']}
Arch                    x86_64                   
Sync Schedule           None                     
Packages                3102                     
Files                   8                        


Label                   f13-updates              
Name                    f13-updates              
Feed                    {u'url': u'http://download.fedora.redhat.com/pub/fedora/linux/updates/13/x86_64/', u'type': u'yum', u'supported_types': [u'yum', u'local', u'rhn']}
Arch                    x86_64                   
Sync Schedule           None                     
Packages                6784                     
Files                   0                        

[root@preethi ~]#
Comment 3 Preethi Thomas 2011-08-16 10:03:17 EDT
Closing with Community Release 15

pulp-0.0.223-4.

Note You need to log in before you can comment on or make changes to this bug.